Skip to main content
POST
/
v6
/
banks
/
reconciliations
/
query
Query reconciliations
curl --request POST \
  --url https://sandbox.tight.com/v6/banks/reconciliations/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cursor": "<string>",
  "limit": 123,
  "sort": {
    "orderBy": "END_DATE",
    "direction": "ASC"
  },
  "filter": {
    "status": {
      "in": [
        "ACTIVE"
      ],
      "notIn": [
        "ACTIVE"
      ],
      "equal": "ACTIVE",
      "notEqual": "ACTIVE",
      "greaterThan": "ACTIVE",
      "greaterThanEqual": "ACTIVE",
      "lessThan": "ACTIVE",
      "lessThanEqual": "ACTIVE"
    },
    "reconciliationStatus": {
      "in": [
        "IN_PROGRESS"
      ],
      "notIn": [
        "IN_PROGRESS"
      ],
      "equal": "IN_PROGRESS",
      "notEqual": "IN_PROGRESS",
      "greaterThan": "IN_PROGRESS",
      "greaterThanEqual": "IN_PROGRESS",
      "lessThan": "IN_PROGRESS",
      "lessThanEqual": "IN_PROGRESS"
    }
  }
}
'
{
  "result": "SUCCESS",
  "data": [
    {
      "id": "brc_28868401",
      "status": "ACTIVE",
      "reconciliationStatus": "IN_PROGRESS",
      "bankAccount": {
        "id": "bka_7542850",
        "name": "Business Checking **1687",
        "displayName": "Business Checking **1687"
      },
      "bankStatement": {
        "id": "bst_28868401",
        "url": "https://cdn.sandbox.tight.com/statements/bst_28868401.pdf"
      },
      "period": {
        "beginDate": "2024-01-01",
        "endDate": "2024-01-31"
      },
      "endBalance": 12345.67,
      "completedDateTime": "2023-11-07T05:31:56Z",
      "createdByUser": {
        "id": "emp_28868401",
        "userId": "usr_28868401",
        "email": "editor@example.com"
      },
      "completedByUser": {
        "id": "emp_28868401",
        "userId": "usr_28868401",
        "email": "editor@example.com"
      },
      "customData": {
        "internal_key": "some_internal_key",
        "some_other_field": 23434
      }
    }
  ],
  "cursor": {
    "after": "<string>",
    "before": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
cursor
string | null

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Required range: x <= 250
sort
object

Sort order for the items in the response.

filter
object

Filter for items in the response.

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object[]

The data generated by the action performed.

cursor
object

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.